function [ranks, dist] = cluster_sort(pop, data, front)


F = data.F;
% M = pop.prob.nf;
L = length(F(front).f);
if  L ==1
    dist = front;
else
    dist = zeros(L,1);
    maxclusters = ceil(L/2);
    temp = pop.f(F(front).f,:);
    temp1 = clusterdata(temp,'Maxclust', maxclusters);

    idx = [];

    for i = 1:ceil(L/2)
        ids = find(temp1 == i);
	centroid = mean(temp(ids,:));
        temp3 = temp(ids,:)-repmat(centroid,length(ids),1);
        temp4 = sqrt(sum(temp3.*temp3,2));
	[minvalue,p]=min(temp4);
%        p = randint(1,1,[1, length(ids)]);
        idx = [idx ids(p)];
    end

    dist(idx) = front;
    temp2 = 1:L;
    temp2(idx) = [];
    dist(temp2) = front+1.5;
end
    [tmp,I] = sort(dist,'ascend'); 
    ranks = F(front).f(I(:));

return
% 
% function [fpd] = fpd(pop,id1,id2)
% 
% temp = find(pop.f(id1,:)<pop.f(id2,:));
% fpd = prod(pop.f(id1,temp)./pop.f(id2,temp));
% 
% return
