function childpop = evolve_subga(pop, user_data)

if nargin == 1
	user_data = [];
end

algo = paramset();

% If no surrogate use EDA, otherwise GA
if ~isempty(user_data)
	algo.evolve_method = 'realga';
else
	algo.evolve_method = 'edaemna';
end

sub_pop = population(pop.prob, algo);
for i = 1:40
	sub_cpop = evolve(sub_pop);
	sub_cpop = eval(sub_cpop, user_data);
	sub_pop = sub_pop + sub_cpop;
	sub_pop = sort(sub_pop);
	sub_pop = reduce(sub_pop);
end

childpop = population(pop);
childpop.x = sub_pop.x;

return
