function childpop = evolve_subga_eda(pop, user_data)

algo = paramset([], []);
algo = add_param_fixed(algo, 'evolve_method', 'edaemna');

algo = add_param_var(algo, 'pop_size', pop.algo.pop_size, 'INT');
algo = add_param_var(algo, 'max_fn_evals', 0, 'INT');

sub_pop = population(pop.prob, algo);
if pop.algo.random_restart == 1
	sub_pop = init(sub_pop);
else
	sub_pop.x = pop.x;
end

subea_gen = pop.algo.subea_gen;
for i = 1:subea_gen
	sub_cpop = evolve(sub_pop);
	sub_cpop = eval(sub_cpop, user_data);
	sub_pop = sub_pop + sub_cpop;
	sub_pop = sort(sub_pop);
	sub_pop = reduce(sub_pop);
end

childpop = population(pop);
childpop.x = sub_pop.x;

return

