function [ranks, dist] = svdom_sort(pop, data, front)

F = data.F;
M = pop.prob.nf;
L = length(F(front).f);

dist = zeros(L,1);
% temp = [];

if L == 1
    dist = [0];
else
    for i =  1:L
        dist(i) = 0;
        id1 = F(front).f(i);
        for j = 1:L
            if j~=i  
                id2=F(front).f(j);
                v = svd(pop,id1,id2);
                if dist(i)<v 
                    dist(i) = v;
                end
            end
        end
%         temp = [temp v];
    end
end

[tmp,I] = sort(dist,'ascend');
ranks = F(front).f(I(:));

return

function [cnt] = svd(pop,id1,id2)
cnt = sum(pop.f(id2,:)<pop.f(id1,:));
return