function x = denormalize(prob, x_normal)
% NORMALIZE(prob, x) denormalizes x values from [0,1]
%
x = zeros(1, prob.nx);
for i = 1 : prob.nx
	x(i) = prob.range(i,1) + x_normal(i) * prob.drange(i);
end
return
