function prob = read(prob, config)
fid = fopen(config, 'r');
if fid < 0
	error('Error opening config file %s', config);
end
prob.func = fscanf(fid, '%s', 1);
prob.nx = fscanf(fid, '%d', 1);
prob.nf = fscanf(fid, '%d', 1);
prob.ng = fscanf(fid, '%d', 1);
prob.range = zeros(prob.nx, 2);
prob.drange = zeros(1, prob.nx);
for i = 1:prob.nx
	prob.range(i,1) = fscanf(fid, '%g', 1);
	prob.range(i,2) = fscanf(fid, '%g', 1);
    prob.drange(i) = prob.range(i,2) - prob.range(i,1);
    if prob.drange(i) == 0, prob.drange(i) = 1; end
end
fclose(fid);
return
