% Strategy to sequentially coevolve the subpopulations
function [best,pop]=evolve_subpop(arg1,idx,pop,prob,algo)

if strcmp(arg1,'rand')==1
    id = randint(1, 1, [1 pop.size]);       % For chosing random solution
else
    id = 1;                                 % for chosing best solution
end
% global arc;
% global entropy;
% global counter;

subpop = pop.x(:,idx);

xvec=pop.x(id,:);

parent_pop=population(prob,algo);

% Creating a population with the best individial copies
parent_pop.x=repmat(xvec,algo.pop_size,1);

% Replacing the appropriate variables using subpop data
parent_pop.x(:,idx)=subpop;
parent_pop=eval(parent_pop);
parent_pop=sort(parent_pop);

best.x=parent_pop.x(1,:);
best.f=parent_pop.f(1);
best.feas=parent_pop.feas(1);

% Evolving the child subpop

% for j=2:algo.no_sub_iterations
sub_iterations = min(2*length(idx), 10);
for j = 2:sub_iterations 
%     fprintf('Sub-evolve generation: %d\n',j)
    child_pop = evolve_subpop_ccea(parent_pop, idx);
    child_pop = eval(child_pop);
    parent_pop = parent_pop + child_pop;
	parent_pop = sort(parent_pop);
	parent_pop = reduce(parent_pop);
    % Updating the best solution and the Parent Pop for the next generation
    best.x=parent_pop.x(1,:);
    best.f=parent_pop.f(1,:);
    best.feas=parent_pop.feas(1);
%     arc = [arc; parent_pop.x(parent_pop.feas==1,:)];
end

% Updating the new subpop section in pop
pop.x(:,idx) = parent_pop.x(:,idx);

return