function x = op_MUTATE(x, x_min, x_max, eta_mu)
%
%
if x_max-x_min > 0
	delta1 = (x-x_min) / (x_max-x_min);
	delta2 = (x_max-x) / (x_max-x_min);
	mut_pow = 1/(eta_mu+1);
	r = rand(1);
	if r <= 0.5
		xy = 1 - delta1;
		val = 2*r + (1-2*r) * xy^(eta_mu+1);
		deltaq = val^mut_pow - 1;
	else
		xy = 1 - delta2;
		val = 2*(1-r) + 2*(r-0.5) * xy^(eta_mu+1);
		deltaq = 1 - val^mut_pow;
	end
	x = x + deltaq*(x_max-x_min);
	if x < x_min, x = x_min; end
	if x > x_max, x = x_max; end
end
return
