function [ranks, dist] = epsdom_wm_sort(pop, data, front)

% Used eps-dominance but does not use points mutually to assign distances  

F = data.F;
L = length(F(front).f);

dist = Inf(L,1);
id_used = zeros(L);

for i =  1:L
    id1 = F(front).f(i);
    temp = [];
        for j = 1:L
            if j~=i 
                id2=F(front).f(j);
                if id_used(j)~=i
                    temp = [temp;j mepsd(pop,id1,id2)];
                end
            end
        end
        [dist(i),tempid] = min(temp(:,2));
        id_used(i)= temp(tempid,1);
end

% if front ==1 
%   disp([pop.f(F(1).f,:) dist id_used]);
% end
[tmp,I] = sort(dist,'descend');
ranks = F(front).f(I(:));

return

function [mepsd] = mepsd(pop,id1,id2)
[ids] = find(pop.f(id2,:)>= pop.f(id1,:));
mepsd = max(pop.f(id2,ids)-pop.f(id1,ids));
return