function pop = eval(pop, user_data, re_eval)
% EVAL(pop)
% 		pop = eval(pop) evaluates the population using obj_constr function
if nargin == 1
	user_data = [];
	re_eval = 0;
elseif nargin == 2
	re_eval = 0;
end

func = pop.prob.func;
ng = pop.prob.ng;

for i = 1:pop.size
	if re_eval == 0 || (re_eval == 1 && pop.flag(i) == 0)
		[f, g, flag] = obj_constr_eval(func, pop.x(i,:), user_data);
		pop.f(i,:) = f;
		pop.flag(i) = flag;
		if ~isempty(g)
			pop.g(i,:) = g;
			count = 0;
			for j = 1:ng
				if pop.g(i,j) >= 0
					count = count+1;
				end
			end
			if count == ng
				pop.feas(i) = 1;
			else
				pop.feas(i) = 0;
			end
		else
			pop.feas(i) = 1;
		end
	end
end
return
