function data = non_dominated_sort_rest(pop, data)
% NON_DOMINATED_SORT_REST(pop, front_data)
%
front = 1;
% Identifying rest of the fronts
while ~isempty(data.F(front).f)
	H = [];
	for i = 1 : length(data.F(front).f)
		p = data.F(front).f(i);
		if ~isempty(data.individual(p).S)
			for j = 1 : length(data.individual(p).S)
				q = data.individual(p).S(j);
				data.individual(q).N = data.individual(q).N - 1;
				if data.individual(q).N == 0
					H = [H q];
				end
			end
		end
	end
	front = front+1;
	data.F(front).f = H;
end
return
