function childpop = evolve_subga_sbx(pop, user_data)

% algo = paramset('sub', 'sub', 'evolve_method', 'realga');

algo = paramset([], []);
algo = add_param_fixed(algo, 'evolve_method', 'realga');

algo = add_param_var(algo, 'pop_size', pop.algo.pop_size, 'INT');
%algo = add_param_var(algo, 'generations', pop.algo.subea_gen, 'INT');

algo = add_param_var(algo, 'max_fn_evals', 0, 'INT');
algo = add_param_var(algo, 'prob_re', pop.algo.prob_re, 'REAL');
algo = add_param_var(algo, 'eta_re', pop.algo.eta_re, 'REAL');
algo = add_param_var(algo, 'prob_mu', pop.algo.prob_mu, 'REAL');
algo = add_param_var(algo, 'eta_mu', pop.algo.eta_mu, 'REAL');

sub_pop = population(pop.prob, algo);
if pop.algo.random_restart == 1
	sub_pop = init(sub_pop);
else
	sub_pop.x = pop.x;
end

sub_pop = eval(sub_pop);
subea_gen = pop.algo.subea_gen;
for i = 1:subea_gen
	sub_cpop = evolve(sub_pop);
	sub_cpop = eval(sub_cpop);
	sub_pop = sub_pop + sub_cpop;
	sub_pop = sort(sub_pop);
	sub_pop = reduce(sub_pop);
end

childpop = population(pop);
childpop.x = sub_pop.x;

return
