function newpop = reduce(pop)
%
%
global counter;

algo = pop.algo;
N = pop.size / 2;
algo.pop_size = N;
newpop = population(pop.prob, algo);

newpop.x = pop.x(pop.rank(1:N),:);
newpop.f = pop.f(pop.rank(1:N),:);
newpop.g = pop.g(pop.rank(1:N),:);
newpop.flag = pop.flag(pop.rank(1:N));
newpop.feas = pop.feas(pop.rank(1:N));
newpop.rank = (1:N)';
newpop.rank1 = pop.rank1;

newpop.best = pop.best;

% currently storing the entire front (pop+childpop) when reducing
% we are interested only in F(1)
newpop.F = pop.F;
newpop.crowd = pop.crowd(pop.rank(1:N));

if pop.f1size > N
	newpop.f1size = N;
else
	newpop.f1size = pop.f1size;
end

% Update tracking information
newpop.tracking = pop.tracking(pop.rank(1:N));
global tracking;
if tracking == 1
	N_p = length(find(newpop.tracking == 0));
	N_c = max(1, N-N_p);
	Nii = length(find(newpop.tracking == 1));
	Nif = length(find(newpop.tracking == 2));
	Nff = length(find(newpop.tracking == 3));
	newpop.track_best = [pop.track_best ; ...
			N_p N_c Nii Nif Nff newpop.tracking(newpop.rank(newpop.rank1))];
end

return
