function x_normal = normalize(prob, x)
% NORMALIZE(prob, x) normalizes x values between [0,1]
%

%if in_range(prob, x) ~= 1
%	warning('Point x out of range');
%end

x_normal = zeros(1, prob.nx);
for i = 1 : prob.nx
    x_normal(i) = (x(i) - prob.range(i,1)) / prob.drange(i);
end
return
