%% This function Partitions Variables into Subpopulations based on
%% Correlation
function [no_sets,ordernew,nvars]=partition(corr_mat,algo)

no_sets=algo.no_subsystems;                  %% ??
nvars=1;                                 

ordernew=randperm(size(corr_mat,2));
nvars(1)=size(corr_mat,2);
no_sets=1;                              %% ??    

% for i=1:no_sets-1
%     cut_off_points(i)=i*size(corr_mat,2)/(no_sets);  %% Never used
% end

for j=1:size(corr_mat,2)
	tt=[];
    tt=find((corr_mat(j,:))>=threshold);
    tt=unique(tt);                              %% No need to this step
    
    if(size(tt,2)<=1)
        all_corr(j,1)=0;
    else
        all_corr(j,1:length(tt))=tt;
    end
end

temp1=all_corr>0;
temp2=sum(temp1');

if(size(temp2,2)>1)
    [temp4,temp5]=sort(temp2,'descend');
    temp_ordernew=[]; 
    count=1;
    temp_ordernew=[temp_ordernew strip_zeros(all_corr(temp5(1),:))];
    list_size(1)=size(strip_zeros(all_corr(temp5(1),:)),2);
    for i=2:size(all_corr,1)
        tt=strip_zeros(all_corr(temp5(i),:));
        check=intersect(tt,temp_ordernew);
        if(isempty(check)&& ~isempty(tt))
            count=count+1;
            temp_ordernew=[temp_ordernew tt];
            list_size(count)=size(strip_zeros(all_corr(temp5(i),:)),2);
        end
    end

    % Remaining Variables
    balance=setdiff(1:size(corr_mat,2),temp_ordernew);
    temp_ordernew=[temp_ordernew balance];
    
    %Remaining empty subpopulations
    rem_empty=no_subsystems-count;

    if(rem_empty<=0)
       % The last partition to have all balance variables and remaining correlated ones 
        list_size(no_subsystems)=sum(list_size(no_subsystems:end))+length(balance);
        list_size(no_subsystems:end)=0;
        list_size=strip_zeros(list_size);
        no_sets=no_subsystems;
    end
    
    if((rem_empty>0)&& ~isempty(balance))
        in_each = floor(length(balance)/rem_empty);
        if (in_each<1)
            in_each=1;
        end
        if(in_each==1)
            no_sets=count+length(balance);
        end
        for i=count+1:no_sets
            list_size(i)=in_each;
        end
        
        if(sum(list_size)<size(all_corr,1))
            list_size(no_sets)=size(all_corr,1)-sum(list_size);
        end
    end
    nvars=list_size;   
    ordernew=temp_ordernew;
    no_sets = length(nvars);
end
% if no_sets == 0
%     no_sets = 1;
% end

return

%% Strips zeros of a vector
function new_e=strip_zeros(e)
c=e(:)>0;
new_e=e(c);
return