function [c1, c2] = op_BLX(p1, p2, range1, range2, alpha)

% alpha = 100 => complete range between p1 & p2
% alpha = 20  => 40-60% range between p1 & p2

gamma1 = (alpha/100)*rand(1) + (0.5-alpha/(2*100));
gamma2 = (alpha/100)*rand(1) + (0.5-alpha/(2*100));

%gamma1 = (1+2*alpha)*rand(1) - alpha ;
%gamma2 = (1+2*alpha)*rand(1) - alpha ;

if p1 < p2
    x1 = p1;
    x2 = p2;
else
    x1 = p2;
    x2 = p1;
end

c1 = (1-gamma1)*x1 + gamma1*x2 ;
c2 = (1-gamma2)*x1 + gamma2*x2 ;

if c1 < range1
    c1 = range1;
elseif c1 > range2
    c1 = range2;
end

if c2 < range1
    c2 = range1;
elseif c2 > range2
    c2 = range2;
end
return
